Skip to content
Get started

Get Memory By Id

GET/v1/memories/{memory_id}/

Get one memory by id. Scope resolved from the row itself.

Path ParametersExpand Collapse
memory_id: string
ReturnsExpand Collapse
MemoryItem object { id, memory, agent_id, 7 more }

One result item — used in flat search results and listings.

id: string
memory: string
agent_id: optional string
categories: optional array of string
conv_id: optional string
created_at: optional string
metadata: optional unknown
score: optional number
updated_at: optional string
user_id: optional string

Get Memory By Id

curl https://api.example.com/v1/memories/$MEMORY_ID/ \
    -H "x-api-key: $XTRACE_MEMORY_MANAGER_API_KEY" \
    -H "X-Org-Id: $XTRACE_MEMORY_MANAGER_ORG_ID"
{
  "id": "id",
  "memory": "memory",
  "agent_id": "agent_id",
  "categories": [
    "string"
  ],
  "conv_id": "conv_id",
  "created_at": "created_at",
  "metadata": {},
  "score": 0,
  "updated_at": "updated_at",
  "user_id": "user_id"
}
Returns Examples
{
  "id": "id",
  "memory": "memory",
  "agent_id": "agent_id",
  "categories": [
    "string"
  ],
  "conv_id": "conv_id",
  "created_at": "created_at",
  "metadata": {},
  "score": 0,
  "updated_at": "updated_at",
  "user_id": "user_id"
}